from gi.repository import Gtk
from gi.repository import WebKit
from gi.repository import GObject


class MyWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="WebKit load-status FAILED")
        self.set_default_size(1000, 500)
        self.connect("delete-event", Gtk.main_quit)

        webview = WebKit.WebView()
        webview.connect('notify::load-status', self.__load_status_changed_cb)
        webview.load_uri('http://www.google.com')

        self.add(webview)
        self.show_all()

    def __load_status_changed_cb(self, widget, param):
        status = widget.get_load_status()
        if status is WebKit.LoadStatus.COMMITTED:
            GObject.timeout_add(40, self.__stop_loading, widget)
        print '### STATUS:', status
        print '### URI:', widget.props.uri

    def __stop_loading(self, webview):
        print 'WebKit.WebView.stop_loading'
        webview.stop_loading()


if __name__ == '__main__':
    win = MyWindow()
    Gtk.main()
